## org.codehaus.groovy.transform
Interface ASTTransformation

All Known Implementing Classes:
  AssertionTransformation, BindableASTTransformation, CategoryASTTransformation, DelegateASTTransformation, GrabAnnotationTransformation, ImmutableASTTransformation, LazyASTTransformation, MixinASTTransformation, NewifyASTTransformation, PackageScopeASTTransformation, SingletonASTTransformation, VetoableASTTransformation

    public interface ASTTransformation

This is the delegate class for `GroovyASTTransformation`s.

Author:
  Danno Ferrin (shemnon)

Method Summary
`void` `visit(ASTNode[] nodes, SourceUnit source)` The call made when the compiler encounters an AST Transformation Annotation

Method Detail

### visit

    void visit(ASTNode[] nodes,
               SourceUnit source)

  The call made when the compiler encounters an AST Transformation Annotation

  Parameters:
    `nodes` - The ASTnodes when the call was triggered
    `source` - The source unit being compiled

Copyright © 2003-2009 The Codehaus. All rights reserved.